Skip to main content
GET
/
v1
/
config
Get widget display configuration
curl --request GET \
  --url https://dqgynnlsclfbqysauesf.supabase.co/functions/v1/api-router/v1/config \
  --header 'X-ARIS-API-Key: <api-key>'
{
  "primaryColor": "#1e3a8a",
  "secondaryColor": "#06b6d4",
  "logoUrl": "<string>",
  "brokerageName": "Acme Realty",
  "greetingMessage": "Hi! How can I help you find your perfect home today?",
  "buttonStyle": "rounded",
  "chatPosition": "bottom-right",
  "title": "Acme Realty Assistant",
  "subtitle": "here to find your next home",
  "buttonText": "Chat with AI",
  "avatarEnabled": false,
  "avatarId": "<string>",
  "voiceId": "<string>"
}

Authorizations

X-ARIS-API-Key
string
header
required

Query Parameters

brokerageId
string
required

The brokerage ID.

Response

Widget configuration object.

Widget display and behavior configuration for a brokerage.

primaryColor
string
Example:

"#1e3a8a"

secondaryColor
string
Example:

"#06b6d4"

logoUrl
string<uri> | null
brokerageName
string
Example:

"Acme Realty"

greetingMessage
string
Example:

"Hi! How can I help you find your perfect home today?"

buttonStyle
enum<string>
Available options:
rounded,
square,
pill
Example:

"rounded"

chatPosition
enum<string>
Available options:
bottom-right,
bottom-left
Example:

"bottom-right"

title
string
Example:

"Acme Realty Assistant"

subtitle
string
Example:

"here to find your next home"

buttonText
string
Example:

"Chat with AI"

avatarEnabled
boolean
Example:

false

avatarId
string | null
voiceId
string | null